/*
    This file is part of the UNF library / toolset
    Copyright (C) 2000 Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
/* $RCSfile: UNF_SDP.C $
   $Locker: ska $	$Name:  $	$State: Exp $

	Allocate memory and terminate the process on failure.

*/

#include "unf.loc"

#ifndef _MICROC_
#include <stdlib.h>
#include <string.h>
#endif

#include "unf_post.loc"

#ifdef RCS_Version
static char const rcsid[] = 
	"$Id: UNF_SDP.C 1.2 2000/04/10 02:09:52 ska Exp ska $";
#endif

char *unf_strdup(char *str)
{	char *h;

	if((h = strdup(str)) == NULL)
		unf__eerror("Out of memory");

	return h;
}

/* 2014-08-22 sava  add missing stpcpy (mostly for watcom) */
char *unf_stpcpy(char *dest, const char *src)
{
    while(*dest = *src++) ++dest;
    return dest;
}

